#![allow(non_upper_case_globals)]
pub mod api;
pub mod builder;
pub mod cache;
pub mod config;
pub mod errors;
pub mod executor;
pub mod messaging;
pub mod models;
pub mod utils;

pub use config::UID;
pub use errors::{UError, ULocalError, ULocalResult, UResult};

pub mod schema_exports {
    pub use crate::models::{Agentstate, Jobstate, Jobtype};
    pub use diesel::sql_types::*;
}

#[macro_use]
extern crate lazy_static;

#[macro_use]
extern crate diesel;

#[macro_use]
extern crate log;
extern crate env_logger;

#[macro_use]
extern crate mockall;
