mod agent;
pub mod jobs;
mod result;
pub mod schema;

use crate::messaging::AsMsg;
pub use crate::models::result::ExecResult;
pub use crate::models::{agent::*, jobs::*};
use serde::{Deserialize, Serialize};
use std::fmt;
use uuid::Uuid;

impl AsMsg for Agent {}
impl AsMsg for AssignedJob {}
impl AsMsg for ExecResult {}
impl AsMsg for JobMeta {}
impl AsMsg for String {}
impl AsMsg for Uuid {}
impl AsMsg for Empty {}

#[derive(Serialize, Deserialize, Clone, Default, Debug)]
pub struct Empty;

impl fmt::Display for Empty {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        write!(f, "<empty>")
    }
}
