table! {
    use crate::schema_exports::*;

    agents (id) {
        alias -> Nullable<Text>,
        hostname -> Text,
        id -> Uuid,
        is_root -> Bool,
        is_root_allowed -> Bool,
        last_active -> Timestamp,
        platform -> Text,
        regtime -> Timestamp,
        state -> Agentstate,
        token -> Nullable<Text>,
        username -> Text,
    }
}

table! {
    use crate::schema_exports::*;

    certificates (id) {
        agent_id -> Uuid,
        id -> Uuid,
        is_revoked -> Bool,
    }
}

table! {
    use crate::schema_exports::*;

    ip_addrs (id) {
        agent_id -> Uuid,
        check_ts -> Timestamp,
        gateway -> Nullable<Text>,
        id -> Uuid,
        iface -> Text,
        ip_addr -> Text,
        is_gray -> Bool,
        netmask -> Text,
    }
}

table! {
    use crate::schema_exports::*;

    jobs (id) {
        alias -> Nullable<Text>,
        argv -> Text,
        id -> Uuid,
        exec_type -> Jobtype,
        platform -> Text,
        payload -> Nullable<Bytea>,
    }
}

table! {
    use crate::schema_exports::*;

    results (id) {
        agent_id -> Uuid,
        alias -> Nullable<Text>,
        created -> Timestamp,
        id -> Uuid,
        job_id -> Uuid,
        result -> Nullable<Bytea>,
        state -> Jobstate,
        retcode -> Nullable<Int4>,
        updated -> Timestamp,
    }
}

joinable!(certificates -> agents (agent_id));
joinable!(ip_addrs -> agents (agent_id));
joinable!(results -> agents (agent_id));
joinable!(results -> jobs (job_id));

allow_tables_to_appear_in_same_query!(
    agents,
    certificates,
    ip_addrs,
    jobs,
    results,
);
