use chrono::{offset::Local, DateTime};
use std::time::SystemTime;

pub fn bytes_to_string(v: &[u8]) -> String {
    String::from_utf8_lossy(v).to_string()
}

pub fn opt_to_string<T: ToString>(item: Option<T>) -> String {
    match item {
        Some(s) => s.to_string(),
        None => String::new(),
    }
}

pub fn systime_to_string(time: &SystemTime) -> String {
    DateTime::<Local>::from(*time)
        .format("%d/%m/%Y %T")
        .to_string()
}
